=== modified file 'debian/unity-2d-shell.install.in'
--- debian/unity-2d-shell.install.in	2011-11-22 16:07:09 +0000
+++ debian/unity-2d-shell.install.in	2011-11-25 16:56:32 +0000
@@ -2,11 +2,9 @@
 @DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/applications/unity-2d-shell.desktop
 @DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/dbus-1/services/unity-2d-places.service
 @DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/dbus-1/services/unity-2d-launcher.service
-@DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/unity-2d/shell/qml/*.js
-@DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/unity-2d/shell/qml/*.qml
-@DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/unity-2d/shell/qml/dash/*.qml
-@DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/unity-2d/shell/qml/launcher/*.qml
-@DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/unity-2d/shell/qml/player/*.qml
-@DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/unity-2d/shell/artwork/dash
-@DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/unity-2d/shell/artwork/launcher
-@DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/unity-2d/shell/artwork/player
+@DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/unity-2d/shell/*.js
+@DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/unity-2d/shell/*.qml
+@DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/unity-2d/shell/dash
+@DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/unity-2d/shell/launcher
+@DEBIAN_INSTALL_PREFIX@/@CMAKE_INSTALL_DATADIR@/unity-2d/shell/player
+

=== modified file 'shell/CMakeLists.txt'
--- shell/CMakeLists.txt	2011-11-09 23:54:34 +0000
+++ shell/CMakeLists.txt	2011-11-25 16:56:32 +0000
@@ -3,11 +3,21 @@
 # Source
 add_subdirectory(app)
 
+file(GLOB shell_QML *.qml *.js)
+
 # Install
-install(DIRECTORY qml
-    DESTINATION ${UNITY_2D_DIR}/shell
-    )
-
-install(DIRECTORY artwork
+install(FILES ${shell_QML}
+    DESTINATION ${UNITY_2D_DIR}/shell
+    )
+
+install(DIRECTORY launcher
+    DESTINATION ${UNITY_2D_DIR}/shell
+    )
+
+install(DIRECTORY dash
+    DESTINATION ${UNITY_2D_DIR}/shell
+    )
+
+install(DIRECTORY player
     DESTINATION ${UNITY_2D_DIR}/shell
     )

=== renamed file 'shell/qml/Shell.qml' => 'shell/Shell.qml'
=== modified file 'shell/app/shell.cpp'
--- shell/app/shell.cpp	2011-11-18 10:34:37 +0000
+++ shell/app/shell.cpp	2011-11-25 15:44:18 +0000
@@ -74,15 +74,13 @@
 
     application.installX11EventFilter(&view);
 
-    QDir::addSearchPath("artwork", unity2dDirectory() + "/shell/artwork");
-
     view.engine()->addImportPath(unity2dImportPath());
     view.engine()->setBaseUrl(QUrl::fromLocalFile(unity2dDirectory() + "/shell/"));
 
     /* Load the QML UI, focus and show the window */
     view.setResizeMode(QDeclarativeView::SizeViewToRootObject);
     view.rootContext()->setContextProperty("declarativeView", &view);
-    view.setSource(QUrl("qml/Shell.qml"));
+    view.setSource(QUrl("Shell.qml"));
 
     /* Unset DESKTOP_AUTOSTART_ID in order to avoid child processes (launched
        applications) to use the same client id.

=== modified file 'shell/app/shelldeclarativeview.cpp'
--- shell/app/shelldeclarativeview.cpp	2011-11-24 19:48:22 +0000
+++ shell/app/shelldeclarativeview.cpp	2011-11-25 16:56:32 +0000
@@ -269,7 +269,7 @@
 static QBitmap
 createCornerMask()
 {
-    QPixmap pix(unity2dDirectory() + "/shell/artwork/dash/desktop_dash_background_no_transparency.png");
+    QPixmap pix(unity2dDirectory() + "/shell/dash/artwork/desktop_dash_background_no_transparency.png");
     return pix.createMaskFromColor(Qt::red, Qt::MaskOutColor);
 }
 

=== renamed directory 'shell/qml/dash' => 'shell/dash'
=== modified file 'shell/dash/ButtonBackground.qml'
--- shell/qml/dash/ButtonBackground.qml	2011-11-18 16:14:06 +0000
+++ shell/dash/ButtonBackground.qml	2011-11-25 15:44:18 +0000
@@ -42,7 +42,7 @@
         Image {
             fillMode: Image.Tile
             anchors.fill: parent
-            source: "../../artwork/dash/button_background.png"
+            source: "artwork/button_background.png"
             smooth: false
         }
     }

=== modified file 'shell/dash/Dash.qml'
--- shell/qml/dash/Dash.qml	2011-11-25 13:17:36 +0000
+++ shell/dash/Dash.qml	2011-11-25 16:56:32 +0000
@@ -212,14 +212,14 @@
             Image {
                 anchors.fill: parent
                 fillMode: Image.PreserveAspectCrop
-                source: "../../artwork/dash/background_sheen.png"
+                source: "artwork/background_sheen.png"
             }
         }
 
         BorderImage {
             anchors.fill: parent
             visible: declarativeView.dashMode == ShellDeclarativeView.DesktopMode
-            source: screen.isCompositingManagerRunning ? "../../artwork/dash/desktop_dash_background.sci" : "../../artwork/dash/desktop_dash_background_no_transparency.sci"
+            source: screen.isCompositingManagerRunning ? "artwork/desktop_dash_background.sci" : "artwork/desktop_dash_background_no_transparency.sci"
             mirror: isRightToLeft()
         }
     }
@@ -330,7 +330,7 @@
 
         Image {
             id: fullScreenButtonImage
-            source: "../../artwork/dash/fullscreen_button.png"
+            source: "artwork/fullscreen_button.png"
             mirror: isRightToLeft()
         }
 

=== modified file 'shell/dash/FoldingArrow.qml'
--- shell/qml/dash/FoldingArrow.qml	2011-11-18 16:14:06 +0000
+++ shell/dash/FoldingArrow.qml	2011-11-25 15:44:18 +0000
@@ -23,7 +23,7 @@
     property bool folded: true
 
     rotation: folded ? 0 : 90
-    source: "../../artwork/dash/arrow.png"
+    source: "artwork/arrow.png"
     width: sourceSize.width
     height: sourceSize.height
     fillMode: Image.PreserveAspectFit

=== modified file 'shell/dash/Home.qml'
--- shell/qml/dash/Home.qml	2011-11-24 19:48:22 +0000
+++ shell/dash/Home.qml	2011-11-25 16:56:32 +0000
@@ -72,7 +72,7 @@
 
         Image {
             id: icon
-            source: "../../artwork/dash/open_shortcuts.png"
+            source: "artwork/open_shortcuts.png"
             width: sourceSize.width
             height: sourceSize.height
             anchors.left: parent.left
@@ -169,7 +169,7 @@
                 width: sourceSize.width
                 height: sourceSize.height
 
-                source: "../../artwork/dash/cross.png"
+                source: "artwork/cross.png"
             }
 
             opacity: (expanded && declarativeView.dashMode == ShellDeclarativeView.DesktopMode) ? 1 : 0

=== modified file 'shell/dash/HomeShortcuts.qml'
--- shell/qml/dash/HomeShortcuts.qml	2011-11-24 19:48:22 +0000
+++ shell/dash/HomeShortcuts.qml	2011-11-25 16:56:32 +0000
@@ -37,25 +37,25 @@
         HomeButton {
             focus: true
             label: u2d.tr("Media Apps")
-            icon: "../../artwork/dash/find_media_apps.png"
+            icon: "artwork/find_media_apps.png"
             onClicked: activateLensWithOptionFilter("applications.lens", "type", "media")
         }
 
         HomeButton {
             label: u2d.tr("Internet Apps")
-            icon: "../../artwork/dash/find_internet_apps.png"
+            icon: "artwork/find_internet_apps.png"
             onClicked: activateLensWithOptionFilter("applications.lens", "type", "internet")
         }
 
         HomeButton {
             label: u2d.tr("More Apps")
-            icon: "../../artwork/dash/find_more_apps.png"
+            icon: "artwork/find_more_apps.png"
             onClicked: activateLensAndClearFilter("applications.lens", "type")
         }
 
         HomeButton {
             label: u2d.tr("Find Files")
-            icon: "../../artwork/dash/find_files.png"
+            icon: "artwork/find_files.png"
             onClicked: activateLens("files.lens")
         }
 

=== modified file 'shell/dash/LensBar.qml'
--- shell/qml/dash/LensBar.qml	2011-11-18 16:14:06 +0000
+++ shell/dash/LensBar.qml	2011-11-25 15:44:18 +0000
@@ -100,7 +100,7 @@
             Accessible.name: u2d.tr("home")
 
             focus: true
-            icon: "../../artwork/dash/lens-nav-home.svg"
+            icon: "artwork/lens-nav-home.svg"
             onClicked: dash.activateHome()
             active: ( declarativeView.activeLens == "" )
             iconWidth: lensBar.iconWidth

=== modified file 'shell/dash/LensButton.qml'
--- shell/qml/dash/LensButton.qml	2011-11-22 14:02:52 +0000
+++ shell/dash/LensButton.qml	2011-11-25 16:56:32 +0000
@@ -71,7 +71,7 @@
     /* Indicator arrow to show Lens active */
     Image {
         id: indicator
-        source: "../../artwork/dash/arrow.png"
+        source: "artwork/arrow.png"
 
         width: sourceSize.width
         height: sourceSize.height

=== modified file 'shell/dash/MultiRangeSelectionBar.qml'
--- shell/qml/dash/MultiRangeSelectionBar.qml	2011-11-18 16:14:06 +0000
+++ shell/dash/MultiRangeSelectionBar.qml	2011-11-25 15:44:18 +0000
@@ -32,8 +32,8 @@
 
     Image {
         id: leftBorder
-        source: (isFirst) ? "../../artwork/dash/multirange_selection_left_first.png"
-                          : "../../artwork/dash/multirange_selection_left.png"
+        source: (isFirst) ? "artwork/multirange_selection_left_first.png"
+                          : "artwork/multirange_selection_left.png"
         width: sourceSize.width
         height: sourceSize.height
         anchors.left: parent.left
@@ -42,7 +42,7 @@
 
     Image {
         id: background
-        source: "../../artwork/dash/multirange_selection_middle.png"
+        source: "artwork/multirange_selection_middle.png"
         width: sourceSize.width
         height: sourceSize.height
         anchors.top: parent.top
@@ -53,8 +53,8 @@
 
     Image {
         id: rightBorder
-        source: (isLast) ? "../../artwork/dash/multirange_selection_right_last.png"
-                         : "../../artwork/dash/multirange_selection_right.png"
+        source: (isLast) ? "artwork/multirange_selection_right_last.png"
+                         : "artwork/multirange_selection_right.png"
         width: sourceSize.width
         height: sourceSize.height
         anchors.top: parent.top

=== modified file 'shell/dash/RatingStars.qml'
--- shell/qml/dash/RatingStars.qml	2011-11-18 16:14:06 +0000
+++ shell/dash/RatingStars.qml	2011-11-25 15:44:18 +0000
@@ -29,8 +29,8 @@
     property bool ratingVisible: true
 
     /* Configure icon size to use. Requires icon files named:
-       - ../../artwork/dash/star_empty-${starIconSize}.png
-       - ../../artwork/dash/star_full-${starIconSize}.png
+       - artwork/star_empty-${starIconSize}.png
+       - artwork/star_full-${starIconSize}.png
     */
     property int starIconSize: 32
 

=== modified file 'shell/dash/Scrollbar.qml'
--- shell/qml/dash/Scrollbar.qml	2011-11-18 16:14:06 +0000
+++ shell/dash/Scrollbar.qml	2011-11-25 15:44:18 +0000
@@ -98,7 +98,7 @@
 
             smooth: false
 
-            source: "../../artwork/dash/scrollbar.sci"
+            source: "artwork/scrollbar.sci"
         }
 
         MouseArea {

=== modified file 'shell/dash/SearchEntry.qml'
--- shell/qml/dash/SearchEntry.qml	2011-11-22 14:02:52 +0000
+++ shell/dash/SearchEntry.qml	2011-11-25 16:56:32 +0000
@@ -44,7 +44,7 @@
 
     BorderImage {
         anchors.fill: parent
-        source: "../../artwork/dash/search_background.sci"
+        source: "artwork/search_background.sci"
         smooth: false
     }
 
@@ -66,7 +66,7 @@
 
             smooth: true
 
-            source: search_input.text ? "../../artwork/dash/cross.png" : "../../artwork/dash/search_icon.png"
+            source: search_input.text ? "artwork/cross.png" : "artwork/search_icon.png"
             fillMode: Image.PreserveAspectFit
         }
 

=== modified file 'shell/dash/Star.qml'
--- shell/qml/dash/Star.qml	2011-11-18 16:14:06 +0000
+++ shell/dash/Star.qml	2011-11-25 15:44:18 +0000
@@ -40,7 +40,7 @@
         width: sourceSize.width
         height: sourceSize.height
 
-        source: ("../../artwork/dash/star_empty-%1.png").arg(iconSize)
+        source: ("artwork/star_empty-%1.png").arg(iconSize)
         opacity: ( selected ) ? 0.8 : 0.3
         asynchronous: true
     }
@@ -50,7 +50,7 @@
         width: Math.ceil(sourceSize.width * fill)
         height: sourceSize.height
 
-        source: ("../../artwork/dash/star_full-%1.png").arg(iconSize)
+        source: ("artwork/star_full-%1.png").arg(iconSize)
         fillMode: Image.TileHorizontally
         asynchronous: true
         opacity: ( selected ) ? 1 : 0.8

=== renamed directory 'shell/artwork/dash' => 'shell/dash/artwork'
=== renamed directory 'shell/qml/launcher' => 'shell/launcher'
=== modified file 'shell/launcher/Launcher.qml'
--- shell/qml/launcher/Launcher.qml	2011-11-24 19:48:22 +0000
+++ shell/launcher/Launcher.qml	2011-11-25 16:56:32 +0000
@@ -88,7 +88,7 @@
         height: parent.height
         anchors.right: parent.right
         fillMode: Image.TileVertically
-        source: "../../artwork/launcher/background.png"
+        source: "artwork/background.png"
     }
 
     onDesktopFileDropped: applications.insertFavoriteApplication(path)

=== modified file 'shell/launcher/LauncherItem.qml'
--- shell/qml/launcher/LauncherItem.qml	2011-11-18 16:14:06 +0000
+++ shell/launcher/LauncherItem.qml	2011-11-25 15:44:18 +0000
@@ -83,7 +83,7 @@
     property int dragPosition
 
     property int pips: 0
-    property string pipSource: "artwork/launcher/launcher_" +
+    property string pipSource: "launcher/artwork/launcher_" +
                                ((pips <= 1) ? "arrow" : "pip") + "_ltr.png"
     function getPipOffset(index) {
         /* Pips need to always be centered, regardless if they are an even or odd
@@ -136,7 +136,7 @@
             mirror: isRightToLeft()
 
             source: "image://blended/%1color=%2alpha=%3"
-                  .arg("artwork/launcher/launcher_arrow_rtl.png")
+                  .arg("launcher/artwork/launcher_arrow_rtl.png")
                   .arg("lightgrey")
                   .arg(1.0)
 
@@ -210,7 +210,7 @@
                 source: {
                     var actualColor = declarativeView.focus && item.activeFocus ? selectedBackgroundColor : color
                     return "image://blended/%1color=%2alpha=%3"
-                        .arg("artwork/launcher/round_corner_54x54.png")
+                        .arg("launcher/artwork/round_corner_54x54.png")
                         .arg(actualColor.toString().replace("#", ""))
                         .arg(1.0)
                 }
@@ -225,7 +225,7 @@
 
                 sourceSize.width: item.tileSize
                 sourceSize.height: item.tileSize
-                source: "../../artwork/launcher/round_outline_54x54.png"
+                source: "artwork/round_outline_54x54.png"
 
                 opacity: 0
 
@@ -269,7 +269,7 @@
                 anchors.fill: parent
                 smooth: true
 
-                source: "../../artwork/launcher/round_shine_54x54.png"
+                source: "artwork/round_shine_54x54.png"
                 sourceSize.width: item.tileSize
                 sourceSize.height: item.tileSize
             }
@@ -278,7 +278,7 @@
                 id: selectionOutline
                 anchors.centerIn: parent
                 smooth: true
-                source: "../../artwork/launcher/round_selected_66x66.png"
+                source: "artwork/round_selected_66x66.png"
                 visible: declarativeView.focus && item.activeFocus
             }
 
@@ -310,7 +310,7 @@
 
             Image {
                 id: progressBar
-                source: "../../artwork/launcher/progress_bar_trough.png"
+                source: "artwork/progress_bar_trough.png"
                 anchors.verticalCenter: parent.verticalCenter
                 anchors.left: parent.left
                 width: tile.width
@@ -319,7 +319,7 @@
 
                 Image {
                     id: progressFill
-                    source: "../../artwork/launcher/progress_bar_fill.png"
+                    source: "artwork/progress_bar_fill.png"
                     anchors.verticalCenter: parent.verticalCenter
                     x: 6
                     width: sourceSize.width * launcherItem.progress

=== modified file 'shell/launcher/LauncherList.qml'
--- shell/qml/launcher/LauncherList.qml	2011-11-21 18:01:54 +0000
+++ shell/launcher/LauncherList.qml	2011-11-25 15:44:18 +0000
@@ -56,7 +56,7 @@
         /* Take into account the one pixel border of the background */
         width: list.width - 1
         height: Math.max(0, Math.min(list.contentY, 50))
-        source: "../../artwork/launcher/gradient_more_items_top.png"
+        source: "artwork/gradient_more_items_top.png"
         z: overlayZ
     }
 
@@ -66,7 +66,7 @@
         anchors.bottom: list.bottom
         width: topGradient.width
         height: Math.max(0, Math.min(list.contentHeight - list.contentY - list.height, 50))
-        source: "../../artwork/launcher/gradient_more_items_bottom.png"
+        source: "artwork/gradient_more_items_bottom.png"
         z: overlayZ
     }
 

=== renamed directory 'shell/artwork/launcher' => 'shell/launcher/artwork'
=== renamed directory 'shell/qml/player' => 'shell/player'
=== modified file 'shell/player/Player.qml'
--- shell/qml/player/Player.qml	2011-11-24 11:48:47 +0000
+++ shell/player/Player.qml	2011-11-25 16:56:32 +0000
@@ -158,7 +158,7 @@
 
         BorderImage {
             id: timeline
-            source: "../../artwork/player/timeline.png"
+            source: "artwork/timeline.png"
 
             anchors.verticalCenter: parent.verticalCenter
             anchors.left: parent.left; anchors.leftMargin: 48
@@ -188,7 +188,7 @@
 
                 BorderImage {
                         id: bufferFillerImage
-                        source: "../../artwork/player/buffer_filler.png"
+                        source: "artwork/buffer_filler.png"
 
                         anchors.left: parent.left
                         anchors.top: parent.top
@@ -211,7 +211,7 @@
 
                 BorderImage {
                         id: positionFillerImage
-                        source: "../../artwork/player/position_filler.png"
+                        source: "artwork/position_filler.png"
 
                         anchors.left: parent.left
                         anchors.top: parent.top
@@ -236,7 +236,7 @@
                 width: 100; height: width
                 focus: true
 
-                property string iconPath: "../../artwork/player/icon_%1.png"
+                property string iconPath: "artwork/icon_%1.png"
                 property string icon
                 property bool switchIcons: false
 

=== removed directory 'shell/qml'
=== renamed file 'shell/qml/utils.js' => 'shell/utils.js'
